import java.sql.DriverManager
import ru.langrafhomyak.db.jdbc_resources_manager.PreparedStatementsCompilationPhantomCache

val someStmt = PreparedStatementsCompilationPhantomCache("SELECT * FROM sqlite_master")

fun main() {
	for (i in 0..1000) {
		val connection = DriverManager.getConnection("jdbc:sqlite::memory:")
		val ps = someStmt.preparedStatementForConnection(connection)
		val rs = ps.executeQuery();
		connection.close()
		System.gc()
	}
}